#!/bin/bash
cd /usr/src
echo "** Installing ACPI modules"
cd eeepc-acpi
make clean
make
cp eeepc_acpi.ko /lib/modules/$(uname -r)/kernel/drivers/acpi

echo "** Installing LAN"
cd ../*RT2860_Linux_STA*
make clean
rm -f os/linux/*.o
rm -f os/linux/*.ko
make
cp os/linux/rt2860sta.ko /lib/modules/$(uname -r)/kernel/drivers/net/wireless
cd ../L1e_Lan
make clean
KBUILD_NOPEDANTIC=1 make
mkdir -p /lib/modules/$(uname -r)/kernel/drivers/net/atl1e
cp atl1e.ko /lib/modules/$(uname -r)/kernel/drivers/net/atl1e

if ! [ "$1" = "debian" ]; then
echo "*** install web camera ***"
cd ../linux-uvc
make clean
make
cp uvcvideo.ko /lib/modules/$(uname -r)/ubuntu/media/usbvideo
else
  echo "*** install alsa sound drivers ***"
  cd ../alsa-driver-1.0.17
  make clean
  ./configure
  make
  make install
  alsaconf
fi

depmod -a
